<?xml version="1.0" encoding="UTF-8"?>
<!--
Arrebol Consultancy copyright.

This code belongs to Arrebol Consultancy
its use, redistribution or modification are prohibited 
without written authorization from Arrebol Consultancy.
-->

<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.predio.preCobranzaView" table="pre_cobranza_view" catalog="crov_spa" mutable="false">
        <id name="idAbonoLote" type="string">
            <column name="id_abono_lote" length="36" />
        </id>
        <property name="idPerson" type="string">
            <column name="id_person" length="36"/>
        </property>
        <property name="folio" type="string">
            <column name="folio"/>
        </property>
        <property name="totalAPagar" type="double">
            <column name="total_a_pagar"/>
        </property>
        <property name="periodoPago" column="periodo_pago">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.PeriodoPago</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="plazoMeses" type="string">
            <column name="plazo_meses"/>
        </property>
        <property name="pagoEstatus" column="pago_estatus">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.GenericEnumType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="fechaAPagar" type="timestamp">
            <column length="19" name="fecha_a_pagar"/>
        </property>
        <property name="diferenciaDias" type="integer">
            <column name="diferencia_dias"/>
        </property>
        <property name="pago" type="double">
            <column name="pago"/>
        </property>
        <property name="completeName" type="string">
            <column name="complete_name"/>
        </property>
        <property name="contactNumber" type="string">
            <column name="contact_number"/>
        </property>
    </class>
</hibernate-mapping>